Uploaded image for project: 'FHIR Specification Feedback'
  1. FHIR Specification Feedback
  2. FHIR-41767

Ndh-exchange-server CapabilityStatement Endpoint - CapabilityStatement.rest.resource.versioning value is set to versioned-update instead of versioned

XMLWordPrintableJSON

    • Icon: Change Request Change Request
    • Resolution: Persuasive
    • Icon: Highest Highest
    • National Directory of Healthcare Providers and Services (NDH) (FHIR)
    • 1.0.0-ballot
    • Patient Administration
    • STU
    • NDH Exchange Capability Statement
    • Exchange Capability Satement
    • Hide

      Change value of capabillityStatement.rest.resource.versioning from versioned-update to versioned for all resource behaviors in the capability statements 

      Show
      Change value of capabillityStatement.rest.resource.versioning from versioned-update to versioned for all resource behaviors in the capability statements 
    • Bob Dieterle / David Pike : 6-0-0
    • Enhancement
    • Non-compatible

      The Endpoint resource has CapabilityStatement.rest.resource.versioning set to versioned-update, but update is not set as a supported interaction on the resource and does not appear to be intended for this portion of the IG.

      Shouldn't the code be "versioned" instead of versioned-update?

      http://hl7.org/fhir/R4/capabilitystatement-definitions.html#CapabilityStatement.rest.resource.versioning

      1. This issue is raised for Endpoint, but also appears for all of the Resources in this CapabilityStatement.
      2. This issue is raised for the Exchange CapabilityStatement, but it appears in the Exchange Base and Exchange Base Expanded CapabilityStatements.

            Unassigned Unassigned
            ricklisseveld Rick Lisseveld
            Watchers:
            2 Start watching this issue

              Created:
              Updated:
              Resolved: